/*
 * I Mistrzostwa Wielkopolski w Programowaniu Zespoowym
 * Program testujacy do zadania G - Skapiec
 * Autor: Bartosz Nowierski
 * Poznan, 2003
 */

//#define NDEBUG

#include <stdio.h>
#include <math.h>
#include <assert.h>

#define MAXN 100000
#define MAXVAL 10000

#define sqr(x) ((x)*(x))
#define ZERO 0.00000001
#define EQUAL(f1, f2) (abs((f1)-(f2)) <= ZERO)
#define LESS(f1, f2) ((f1) < (f2)-ZERO)


int N;
int X[MAXN], Y[MAXN];


void perpend(int p1, int p2, long double *A, long double *B, long double *C)
{
  long double cA, cB, cC;

  cA = X[p2]-X[p1];
  cB = Y[p2]-Y[p1];
  cC = -(cA*(long double)(X[p2]+X[p1])/2.0+cB*(long double)(Y[p2]+Y[p1])/2.0); 
  *A = cA;
  *B = cB;
  *C = cC;
}


int main(int argc, char *argv[])
{
  int d;
  FILE *fin, *fout;
  long double x, y, r;
  int A, B, C;
  long double cA1, cB1, cC1, cA2, cB2, cC2;
  long double W, WA, WB;
  int i;


  fin = fout = NULL;
  fin = fopen(argv[1], "r");
  fout = fopen(argv[3], "r");
  
  fscanf(fin, "%d", &d);
  while (d--)
  {
    fscanf(fin, "%d", &N);
    for (i = 0; i < N; i++)
    {
      fscanf(fin, "%d%d", &X[i], &Y[i]);
    }
    if (fscanf(fout, "%d%d%d", &A, &B, &C) < 3)
      goto WA;
    if ((A < 1) || (A > N))
      goto WA;
    if ((B < 1) || (B > N))
      goto WA;
    if ((A < 1) || (A > N))
      goto WA;
    if ((A != 1) && (B != 1) && (C != 1))
      goto WA;
    if ((A == B) || (A == C) || (B == C))
      goto WA;
    if (B == 1)
    {
      B = A;
      A = 1;
    }
    if (C == 1)
    {
      C = A;
      A = 1;
    }
    A--;
    B--;
    C--;
    
    perpend(A, B, &cA1, &cB1, &cC1);
    perpend(A, C, &cA2, &cB2, &cC2);

    W = cA1*cB2-cA2*cB1;
    assert(!EQUAL(W, 0.0));
    WA = (-cC1)*cB2-(-cC2)*cB1;
    WB = cA1*(-cC2)-cA2*(-cC1);
    x = WA/W;
    y = WB/W;
    r = sqr(X[A]-x)+sqr(Y[A]-y);
    assert(EQUAL(r, sqr(X[B]-x)+sqr(Y[B]-y)));
    assert(EQUAL(r, sqr(X[C]-x)+sqr(Y[C]-y)));

    for (i = 0; i < N; i++)
      if (LESS(sqr(X[i]-x)+sqr(Y[i]-y), r))
        goto WA;
  }

  printf("ACCEPTED\n");
  return 0;
  
  WA:
  if (NULL != fin)
    fclose(fin);
  if (NULL != fout)
    fclose(fout);
  printf("WRONG ANSWER\n");

  return 3;
}
